include ../../../layout/components/paginacao

div

	filtro-processos(paginacao="cxEntAnalistaTecnico.paginacao",
		disabled-fields="cxEntAnalistaTecnico.disabledFields",
		atualizar-lista="cxEntAnalistaTecnico.atualizarListaProcessos",
		atualizar-paginacao="cxEntAnalistaTecnico.atualizarPaginacao",
		condicao-tramitacao="cxEntAnalistaTecnico.condicaoTramitacao",
		pesquisar-ao-inicializar="true",
		is-analise-tecnica="true")

	h4 Lista de protocolos
	hr
	.row
		.col-md-12
			div(ng-if="cxEntAnalistaTecnico.processos && cxEntAnalistaTecnico.processos.length > 0")
				table.table.table-striped.table-condensed.no-margin
					thead
						tr
							th
							th.col-md-1 Protocolo
							th.col-md-2 CPF/CNPJ
							th.col-md-3 Empreendimento
							th.col-md-2 Município
							th.col-md-1 Licença
							th.col-md-1 Prazo análise
							th.col-md-1 Prazo análise técnica
							th.col-md-1.text-right Ações
					tbody
						tr(ng-repeat="processo in cxEntAnalistaTecnico.processos")
							td
								span(ng-class="{'icone-notificado': cxEntAnalistaTecnico.notificacaoAtendida(processo)}")
							td(ng-attr-title="{{processo.numero}}") {{processo.numero}}
							td {{processo.cpfEmpreendimento ? processo.cpfEmpreendimento : processo.cnpjEmpreendimento | brCpfCnpj}}
							td.break-word {{processo.denominacaoEmpreendimento}}
							td {{processo.municipioEmpreendimento}}/{{processo.siglaEstadoEmpreendimento}}
							td {{processo.licencas}}
							td(ng-class="{'error-message': cxEntAnalistaTecnico.dateUtil.verificaPrazoMinimoData(cxEntAnalistaTecnico.dateUtil.somaPrazoEmDias(processo.dataCadastroAnalise, cxEntAnalistaTecnico.PrazoAnalise.ANALISE), cxEntAnalistaTecnico.PrazoMinimoAvisoAnalise.ANALISE)}").text-center
								| {{ cxEntAnalistaTecnico.dateUtil.getContaDiasRestantesData(cxEntAnalistaTecnico.dateUtil.somaPrazoEmDias(processo.dataCadastroAnalise, cxEntAnalistaTecnico.PrazoAnalise.ANALISE)) }}
							td(ng-class="{'error-message': processo.diasAnaliseTecnica > cxEntAnalistaTecnico.PrazoMinimoAvisoAnalise.ANALISE_TECNICA}")
								| {{ cxEntAnalistaTecnico.PrazoMinimoAvisoAnalise.ANALISE_TECNICA - processo.diasAnaliseTecnica }}
							td
								span.pull-right

									.dropdown.action-table
										button#dropdownMenu1.btn.btn-default.dropdown-toggle(type='button', data-toggle='dropdown', aria-haspopup='true', aria-expanded='true')
											| Ações &nbsp;
											span.caret
										ul.dropdown-menu.dropdown-menu-right(aria-labelledby='dropdownMenu1')
											li
												a(ng-click="cxEntAnalistaTecnico.iniciarUploadShapes(processo)")
													i.glyphicon.glyphicon-ok-circle
													span Iniciar análise
											li
												a(ng-click="cxEntAnalistaTecnico.solicitarDesvinculoAnaliseTecnica(processo)")
													i.glyphicon.glyphicon-link
													span Solicitação de desvínculo
											li
												a(ng-click="cxEntAnalistaTecnico.visualizarProcesso(processo)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar protocolo
											li(ng-if='cxEntAnalistaTecnico.notificacaoAtendida(processo)')
												a(ng-click="cxEntAnalistaTecnico.visualizarNotificacao(processo)")
													i.glyphicon.glyphicon-bell
													span Notificação

				.legenda
					span.col-md-4.icone-notificado.legenda-margin(style="margin-bottom:23px") Notificação Atendida

				+paginacao('cxEntAnalistaTecnico.paginacao', 'cxEntAnalistaTecnico.onPaginaAlterada')

		.row(ng-show="!cxEntAnalistaTecnico.processos || cxEntAnalistaTecnico.processos.length == 0")
			.col-md-12
				p.empty-result Não existem dados a serem exibidos.
